Package dev.plex.world

# Class BlockMapChunkGenerator

java.lang.Object
org.bukkit.generator.ChunkGenerator
dev.plex.world.CustomChunkGenerator
dev.plex.world.FlatChunkGenerator
dev.plex.world.BlockMapChunkGenerator

Direct Known Subclasses:
  `ConfigurationChunkGenerator`

public class BlockMapChunkGenerator extends FlatChunkGenerator

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.generator.ChunkGenerator

`org.bukkit.generator.ChunkGenerator.BiomeGrid, org.bukkit.generator.ChunkGenerator.ChunkData`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected LinkedHashMap<org.bukkit.Material,Integer>`
`blockMap`

### Fields inherited from class dev.plex.world.CustomChunkGenerator

`height`

## Constructor Summary

Constructors
Constructor
Description
`BlockMapChunkGenerator(LinkedHashMap<org.bukkit.Material,Integer> blockMap, org.bukkit.generator.BlockPopulator... populators)`

## Method Summary

Modifier and Type
Method
Description
`void`
`createLoopChunkData(int x, int y, int z, org.bukkit.generator.ChunkGenerator.ChunkData chunk)`

### Methods inherited from class dev.plex.world.FlatChunkGenerator

`generateSurface`

### Methods inherited from class dev.plex.world.CustomChunkGenerator

`getDefaultPopulators`

### Methods inherited from class org.bukkit.generator.ChunkGenerator

`canSpawn, createChunkData, createVanillaChunkData, generateBedrock, generateCaves, generateChunkData, generateNoise, getBaseHeight, getDefaultBiomeProvider, getFixedSpawnLocation, isParallelCapable, shouldGenerateBedrock, shouldGenerateCaves, shouldGenerateCaves, shouldGenerateDecorations, shouldGenerateDecorations, shouldGenerateMobs, shouldGenerateMobs, shouldGenerateNoise, shouldGenerateNoise, shouldGenerateStructures, shouldGenerateStructures, shouldGenerateSurface, shouldGenerateSurface`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### blockMap

protected LinkedHashMap<org.bukkit.Material,Integer> blockMap

## Constructor Details

### BlockMapChunkGenerator

public BlockMapChunkGenerator(LinkedHashMap<org.bukkit.Material,Integer> blockMap, org.bukkit.generator.BlockPopulator... populators)

## Method Details

### createLoopChunkData

public void createLoopChunkData(int x, int y, int z, org.bukkit.generator.ChunkGenerator.ChunkData chunk)

Specified by:
  `createLoopChunkData` in class `FlatChunkGenerator`